get.ids <-
function(descr=NULL, ExistInAll=NULL, isTF=NULL){
	
	# get.ids : Select a set of ids using
	# various conditions.
	
	# SEE: 356_UsingSALSA [Mon Oct 19 06:28:55 2020]
	
	# This function is just a wrapper for get.SEP
	# which collects de ids of the SEP resulting
	# from the call.
	
	# The function will return NULL if the conditions are not satisfied
	# by the data.frames SEP, gene, FPKM.expr
	# OR a set of ids from genes that fulfill the conditions.
	
	# IMPORTANT:
	# There are NOT acc.key, acc.type, model, 
	# TimeMaxExp or coded.expr.level
	# given that those are characteristics
	# that vary from the same id in different
	# SEP rows. Beware!
	
	temp <- get.SEP(descr=descr, ExistInAll=ExistInAll, isTF=isTF)
	if(is.null(temp)){
		return(NULL)
	} else {
		return(sort(unique(temp$id)))
	}
}
