get.mat.from.ids <-
function(s.t=SEP$id[1:1000], aspect="BP", aspect.id=1){
	
	# s.t - Set of the ids in the target group
	# NEEDS: GO.annot
	# See: 342_GO-KEGGfun
	
	# get.mat.from.ids will form the contingency table
	
	#               |In target | Not in target | Total |
	# Annotated     |    a     |      b        |  a+b  |
	# Not annotated |    c     |      d        |  c+d  |
	# Total         |   a+c    |     b+d       |   n   |
	
	# which will be used by analyze.GO

	# DEFINITIONS	
	s.u <- unique(GO.annot$id[GO.annot$aspect == aspect])
	s.a <- unique(GO.annot$id[(GO.annot$aspect == aspect)&(GO.annot$aspect.id == aspect.id)])
	
	# Table in base of sets: (^c means "complement")
	#       | s.t  | s.t^c |
	# s.a   | t.a  | t.b   |
	# s.a^c | t.c  | t.d   |
	
	t.a <- length(intersect(s.a, s.t))	
	t.b <- length(intersect(s.a,setdiff(s.u, s.t)))	
	t.c <- length(intersect(setdiff(s.u, s.a), s.t))	
	t.d <- length(intersect(setdiff(s.u, s.a),setdiff(s.u, s.t)))	

	matrix(c(t.a, t.b, t.c, t.d), nrow=2, ncol=2, byrow=TRUE, dimnames=list(c("Annot.", "Not.Annot."), c("Target.", "Not.Target")))
}
