\name{browse.GO}
\alias{browse.GO}
\title{
Opens an URL in the page corresponding to the GO identifier
}
\description{
Opens in your web browser the URL in THE GENE ONTOLOGY RESOURCE page corresponding to the GO identifier in the input.
}
\usage{
browse.GO(GO = "GO:0000002")
}
\arguments{
  \item{GO}{
Valid \code{GO} are the ones in the column \code{GO} of the data.frame \code{all.GO} 
}
}
\details{
See http://www.informatics.jax.org/vocab/gene_ontology/
}
\value{
The function is used by its side effect (to open a web page).
}
\references{
O. Martinez et al. (In preparation). An R package for data mining chili pepper fruit transcriptomes.
}
\author{
O. Martinez
}
\note{
This function is a convenient wrapper for the function \code{browseURL}. 
}
\seealso{
\code{\link{get.GO.terms.by.desc}}
}
\examples{
# Opens the page corresponding to GO:0000003 (Reproduction)
# (in your web browser)
browse.GO("GO:0000003")
}