\name{expected}
\alias{expected}
\title{
Expected value of a contingency table
}
\description{
Returns the expected value for a contingency table under the hypothesis of independence.
}
\usage{
expected(x)
}
\arguments{
  \item{x}{
A matrix (of observed values)
}
}
\details{
Mainly for internal use.
}
\value{
A matrix of the same size of \code{x} with the expected values under independence.
}
\references{
O. Martinez et al. (In preparation). An R package for data mining chili pepper fruit transcriptomes.
}
\author{
O. Martinez
}
\seealso{
\code{\link{get.mat.from.ids}}, \code{\link{analyze.GO}} 
}
\examples{
# An arbitrary matrix
matrix(c(1:6), nrow=2, ncol=3)
# And its expected value under independence
expected(matrix(c(1:6), nrow=2, ncol=3))
# Used internally as
expected(get.mat.from.ids())
}