\name{get.mat.from.ids}
\alias{get.mat.from.ids}
\title{
2 by 2 Contingency Table
}
\description{
Returns a 2 by 2 Contingency Table to be used in GO enrichment analysis (mainly for internal use)
}
\usage{
get.mat.from.ids(s.t, aspect, aspect.id)
}
\arguments{
  \item{s.t}{
Vector of integers. The set of gene identifiers in the group which is the target of the analysis. 
}
  \item{aspect}{
Character string. The GO aspect (BP, CC or MF)
}
  \item{aspect.id}{
Integer. Numeric identifier of the aspect in \code{all.GO}. 
}
}
\details{
Used by \code{analyze.GO}.
}
\value{
A 2 by 2 matrix suitable for GO enrichment analysis.
}
\references{
O. Martinez et al. (In preparation). An R package for data mining chili pepper fruit transcriptomes.
}
\author{
Octavio Martinez.
}
\note{
Used by \code{analyze.GO}.
}
\seealso{
\code{\link{analyze.GO}}, \code{\link{expected}}
}
\examples{
get.mat.from.ids(s.t = SEP$id[1:1000], aspect = "BP", aspect.id = 1)
}