get.genes.by.GO.desc <-
function(..., only.aspect=NULL) {
	# get.genes.by.GO.desc
	# Look for "GO.desc" matching the input
	# (this using "get.GO.terms.by.desc") and then
	# finds all genes annotated with those.
	
	# SEE: 356_UsingSALSA [Wed Oct 21 06:23:05 2020]
	
	the.arg <- list(...)
	# Call "get.GO.terms.by.desc"
	
	go.stuff <- get.GO.terms.by.desc(the.arg, only.aspect=only.aspect)
	if(is.null(go.stuff)) return(NULL)
	
	# go.stuff contains: "aspect" "aspect.id" "GO" "GO.desc"
	# For each row of this data.frame we need to obtain the genes.
	n.go.stuff <- nrow(go.stuff)
	
	# Let's obtain for the first row (if there are annotated genes)
	# names(GO.annot): "aspect" "id" "GO" "aspect.id"
	# Result will have "id", "aspect", "GO"
	temp.go.annot <- GO.annot[(is.element(GO.annot$GO, go.stuff$GO)), c(2,1,3)]
	# Need to add "GO.desc"
	temp.go.annot <- data.frame(temp.go.annot, GO.desc='', stringsAsFactors=FALSE)
	for(i in 1:nrow(temp.go.annot)){
		temp.go.annot$GO.desc[i] <- all.GO$GO.desc[all.GO$GO==temp.go.annot$GO[i]]
	}
	# Now include the corresponding gene
	# The first one:
	if(is.element(temp.go.annot$id[1], gene$id)){
		res <- cbind(temp.go.annot[1,], gene[gene$id==temp.go.annot$id[1], 2:4])
	}
	for(i in 2:nrow(temp.go.annot)){
		if(is.element(temp.go.annot$id[i], gene$id)){
			res <- rbind(res, cbind(temp.go.annot[i,], gene[gene$id==temp.go.annot$id[i], 2:4]))
		}		
	}
	return(res)
}
