get.genes.by.desc <-
function(...) {
	# get.genes.by.desc
	# Look for genes containing the terms in the input
	# into gene$Prot.Desc.
	
	# input must be a character vector.
	# If there are no genes with the terms specified
	# the function returns "NULL".
	
	# SEE: 356_UsingSALSA [Wed Oct 21 06:23:05 2020]
	
	# Get all terms pass:
	look.for <- unlist(list(...))

	n.terms <- length(look.for)
	
	# Makes a copy of gene to look for terms.
	gene.c <- gene
	
	# Begins search (check terms)
	for(i in 1:n.terms){
		if(class(look.for[i])!="character") stop(paste("Term", i, "in the input is not character."))
		gene.c <- gene.c[grep(look.for[i], gene.c$Prot.Desc, fixed=TRUE), ]
		if(nrow(gene.c)==0) return(NULL)
	}
	gene.c
}
