\name{browse.gene}
\alias{browse.gene}
\title{
Opens a window in your browser
}
\description{
The input of the function is a protein identifier for a gene in the data (\code{ProtId} in the \code{data.frame} \code{gene}). It will cause to open a window containing the information of the NCBI that exist about that protein.
}
\usage{
browse.gene(ProtId = "XP_016567627.1")
}
\arguments{
  \item{ProtId}{
One of the protein identifiers existent in the \code{data.frame} \code{gene}
}
}
\value{
The function is used by its side effect (open a window in your web browser)
}
\references{
O. Martinez et al. (In preparation). An R package for data mining chili pepper fruit transcriptomes.
}
\author{
O. MArtinez
}
\seealso{
\code{\link{gene}}, \code{\link{browse.gene}}, \code{\link{get.genes.by.desc}}. 
}
\examples{
# If you have a gene of interest, say
gene[gene$id==35802,]
# You can obtain information of
# that protein in the NCBI:
browse.gene("XP_016555511.1")
}
