\name{gene}
\alias{gene}
\docType{data}
\title{
Identifiers for genes
}
\description{
For each one of the expressed genes this data frame contains protein identifiers and descriptions.
}
\usage{data("gene")}
\format{
  A data frame with 29946 observations on the following 4 variables.
  \describe{
    \item{\code{id}}{a numeric vector; numeric gene identifier.}
    \item{\code{ProtId}}{a character vector; protein identifier.}
    \item{\code{Prot.Desc}}{a character vector; protein description}
    \item{\code{isTF}}{a logical vector; Is the coded protein a Transcription Factor?}
  }
}
\details{
Descriptors are based in the reference genome CM334 v1.6. 
}
\source{
http://passport.pepper.snu.ac.kr/?t=PGENOME
}
\references{
O. Martinez et al. (In preparation). An R package for data mining chili pepper fruit transcriptomes.
}
\examples{
# A random row of the data.frame
gene[sample(c(1:nrow(gene)), size=1), ]

# Show data for some Transcription Factors.
head(gene[gene$isTF==TRUE,])
}
\keyword{datasets}
